it.wiktionary : request for $wgAbuseFilterAvailableActions[] = 'block'
Closed, ResolvedPublic

Description

Please set $wgAbuseFilterAvailableActions[] = 'block'; for it.wiktionary.

We have discussed the issue in:

Permalink:

Wim_b created this task.Jul 17 2018, 11:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2018, 11:59 AM
Zoranzoki21 added a subscriber: Zoranzoki21.

Hi, @Wim_b. Welcome to Phabricator! For wiki configuration changes, please set next time Wikimedia-Site-requests project. I will claim this task, and change should be deployed tomorrow between 11:00-12:00 per UTC timezone.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptJul 17 2018, 12:10 PM
Zoranzoki21 updated the task description. (Show Details)Jul 17 2018, 12:19 PM

@Zoranzoki21: ok sorry, this is first time from me on phabricator and don't know it. I will remember when open the identical task for it.wikibooks :) …

@Wim_b Which time of block to I set for anon and registred users?

Can I as for it.wikinews?

		$wgAbuseFilterActions['block'] = true;
		$wgAbuseFilterBlockDuration = '1 day';
		$wgAbuseFilterAnonBlockDuration = '1 day';
Buggia added a subscriber: Buggia.Jul 17 2018, 2:51 PM
Wim_b added a comment.Jul 17 2018, 6:38 PM

@Zoranzoki21 : ok, in the page https://www.mediawiki.org/wiki/Extension:AbuseFilter I had read

$wgAbuseFilterBlockDuration: […] as of 1.31.0-wmf.25 block durations may be specified for every single filter and will override this variable.

and I thought it was no longer necessary to specify the duration. Okay 1 day.

Change 446539 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] abusefilter.php: Set $wgAbuseFilterActions['block'] = true for it.wiktionary

https://gerrit.wikimedia.org/r/446539

Change 446539 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable AbuseFilter block option on itwiktionary

https://gerrit.wikimedia.org/r/446539

Mentioned in SAL (#wikimedia-operations) [2018-07-18T11:32:10Z] <zfilipin@deploy1001> Synchronized wmf-config/abusefilter.php: SWAT: [[gerrit:446539|Enable AbuseFilter block option on itwiktionary (T199783)]] (duration: 00m 54s)

Zoranzoki21 closed this task as Resolved.Jul 18 2018, 11:35 AM
Zoranzoki21 moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Done!

Problem: block setting is prevented to sysops.

Daimona added a subscriber: Daimona.

Needs abusefilter-modify-restricted to be assigned. I'll send a patch in a moment.

Change 446872 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[operations/mediawiki-config@master] Add abusefilter-modify-restricted right to sysops on itwiktionary

https://gerrit.wikimedia.org/r/446872

Change 446872 merged by jenkins-bot:
[operations/mediawiki-config@master] Add abusefilter-modify-restricted right to sysops on itwiktionary

https://gerrit.wikimedia.org/r/446872

Mentioned in SAL (#wikimedia-operations) [2018-07-19T18:57:41Z] <ladsgroup@deploy1001> Synchronized wmf-config/abusefilter.php: SWAT: [[gerrit:446872|Add abusefilter-modify-restricted right to sysops on itwiktionary (T199783)]] (duration: 00m 53s)